        SUBROUTINE HELP
        CHARACTER*2 INP
        PRINT *,' '
        PRINT *, '  TRS2LL   ver 08/13/2002 '    !change trs2ll.f in 'menu' also.
	! 8/13/02   2 bug fixes in AZ in areas K33E and L28A
	! 11/26/2001  corrected a few OK factors
	  !10/26/2001   Arkansas added
        ! 7/29/2001  ND meridian corrected for 6th principle to 5th principle 
	  ! 9/16/2000  optional state field for lat/lng->TRS added
	  ! 9/25/1998  ND & OK added
        PRINT *,' '
        PRINT *,'This program converts legal locations ',
     1               '(township/range/sections)[TRS]'
        PRINT *,'to the corresponding latitude/',
     1                     'longitude, and vice versa. The'
        PRINT *,'conversion data was obtained from ',
     1    'USGS and BLM 1:100,000 scale'
        PRINT *,'maps. At present the following 17 states are covered:'
	  PRINT *,'AR AZ CA CO ID KS MT ND NE NM NV OK OR SD UT WA WY '
        PRINT *,'                      DISCLAIMER'
        PRINT *,'While every effort has been made to ',
     1   'insure accurate conversions'
        PRINT *,'between legal locations and latitude',
     1   '/longitude there is no'
        PRINT *,'guarantee that the conversion is accurate. ',
     1   'In fact there is a bug'
        PRINT *,'in the pre 1995 versions of the program that ',
     1   'occasionally gave'
        PRINT *,'very wrong answers. If you know anyone ',
     1   'that is using the previous'
        PRINT *,'version please give them this updated version. ',
     1   'If you find any'
        PRINT *,'errors in this version, please let me know.'
        PRINT *, ' '
        PRINT *,' For information on customizing this program or ', 
     1   'expanding '
        PRINT *,'to additional states contact:' 
        PRINT *,'Martin Wefald        e-mail:    mwefald@hotmail.com'
        PRINT *,
     1'784-48th Ave.        URL:http://www.geocities.com/jeremiahobrien'
        PRINT *,'San Francisco, CA 94121'
        PRINT *,' '
        PRINT *,'                 press [Enter] to continue'
        READ (*,'(A)')INP
        PRINT *,'                      OPERATION'
        PRINT *,'-   -   -  -   -TRS -> lat/lng:  -   -   -   -   -'
        PRINT *,'The format of the legal is a numeric township ',
     1   'followed by ''N'' or'
        PRINT *,'''S''. Then a numeric range followed by ''E'' o',
     1   'r ''W''. Half (even 3/4)'
        PRINT *,'ranges and townships are permitted. Then a section ',
     1   'between 1 and'
        PRINT *,'36. This is followed by a 1 or 2 character ',
     1   'meridian. This is optionally'
        PRINT *,'followed by a comma and a state. However, the state ',
     1   'should always be used.'
        PRINT *,
     1'If there is only one meridian in a state the meridian can be ',
     1  'omitted.'
        PRINT *,'When using a data file the TRS is in the first ',
     1   '18 characters with'
        PRINT *,'no embedded spaces. The next 18 characters can ',
     1   'contain any data.'
        PRINT *,'The output contains the first two fields (36 charac'
     1   ,'ters)'     
        PRINT *,'followed by the lat/long. ',
     1   'When using interactively'
        PRINT*,'just enter a valid TRS. If an error occurs the ',
     1   'latitude will be'
        PRINT *,'negative. If the TRS is valid but not in the ',
     1   'factor table, the'
        PRINT *,'lat will be -13. If the format of the TRS is ',
     1   'invalid the latitude'
        PRINT *,'will be between -1 and -12 depending on the error. '
       PRINT *,' '  
        PRINT *,'Some valid TRS input along with the output follows:'
      PRINT *,' 11S44E29M,CA                      36.9735  117.2111'
      PRINT *,' 11S44E29M,NV                      36.9515  117.0681'
      PRINT *,' 30S29.75E1W                       42.9941  119.0648'
      PRINT *,' 12.5S45E6M                        36.8568  117.1170'
	PRINT *,'41.5N23.5E36M,NV                   41.5069  119.3125', 
     1   ' press [Enter] to continue'
        READ (*,'(A)')INP
       PRINT *,' - - - . The meridian abbreviations are:'
       PRINT *,'Black Hills        BH     Humboldt    H    ',
     1 'Principle       P   Uinta       U'
       PRINT *,'Boise              B      Mt. Diablo  M    ',
     1 'Salt Lake       SL  Ute         UT'
       PRINT *,'Fifth Principle    F      Navajo      NA   ',
     1 'Sixth Principle SP  Willamette  W '
       PRINT *,'Gila & Salt River  G      New Mexico  NM   ',
     1 'San Bernardino  S   Wind River  WR'
	 PRINT *,'Cimarron           C      Indian      I    ',
     1 'Chickasaw       CK'          
        print *,' '
        PRINT *,'                   OPERATION'
        PRINT *,' - - - - -Latitude/Longitude --> Legal Location - - -'
        PRINT *,'The first field in the record is the latitude, ',
     1   'the second is the longitude. A'
	  PRINT *, 'third state field may also be used. This is only ',
     1 'necessary close to irregular'
        PRINT *,'state boundries. The fields  are separated by a ',
     1   'comma or space(s). The output'
        PRINT *,'field will contain the lat/long in the first 2 ',
     1   'fields followed by'
       PRINT *,' the TRS, which will always contain the meridian ',
     1  'and state.'
        PRINT *,' '
        
        PRINT *,' input       EXAMPLES     output'
        PRINT *,'37, 117.2            37.0000  117.2000  11S43E7M,NV'
        PRINT *,'37  117.205          37.0000  117.2050  11S44E17M,CA'    
        PRINT *,'36.8464,117.3268     36.8464  117.3268  12.5S43E32M,CA'  
	  PRINT *,'35.1450,114.6166     35.1450  114.6166  20N22W04G,AZ'
	  PRINT *,'35.145 114.6166 NV   35.1450  114.6166  32S66E21M,NV'
        PRINT *,' ' 
        PRINT *,'            press [Enter] to continue'
        READ (*,'(A)')INP
        DO 1 I=1,17
1          PRINT *,' '
        END
