      INTEGER FUNCTION MERID(C)
      CHARACTER*2 C,CC
      CHARACTER*1 M,D
      DIMENSION CC(12),D(12)
      DATA CC/'NA','SL','NM','WR','SP','BH','TP','UT','IV','II','MI',
     1 'CK'/
      DATA  D/ 'V', 'Z', 'X', 'Q', 'A', 'Y', 'O', 'J', 'K', 'N', 'R',
     1 'D'	/ 
c
c      this function returns the numeric meridian which is the ascii value
c      of the single meridian character or the ascii value of the single
c       character equivilant according to the above table
c          Black hills       BH   Y     89
c          Boise             B    B     66
!          Chickasaw         CK   D     68
!          Cimarron          C    C     67
c          Fifth Principle   F    F     70
c          Gila & Salt River G    G     71
c          Humbolt           H    H     72
c          Mt. Diablo        M    M     77
c          Navajo            NA   V     86
c          New Mexico        NM   X     88
c          Principle         P    P     80
c          Salt Lake         SL   Z     90
c          Sixth Principle   SP   A     65
c          San Bernardino    S    S     83
c          Uinta             U    U     85
c          Ute               UT   J     74
c          Willamette        W    W     87
c          Wind River        WR   Q     81

      IF(C(2:2).NE.' ')THEN
        DO 10 I=1,12 
          IF (C.EQ.CC(I)) THEN
            M=D(I) 
            GOTO 20
          END IF  
10      CONTINUE          
        MERID=-1
        RETURN
      ELSE 
        M=C(1:1) 
      END IF
20    CONTINUE
      MERID=ICHAR(M)
      END      
