      CHARACTER*2 FUNCTION MERIDCHR(J)
      CHARACTER*2 CC
      CHARACTER*1 M
      INTEGER D
      INTEGER*2 J
      DIMENSION CC(12),D(12)  ! change dimension and below if others added
      DATA CC/'NA','SL','NM','WR','SP','BH','TP','UT','IV','II','MI',
     1   'CK'/
      DATA  D/  86,  90,  88,  81,  65,  89,  79,  74,  75,  78,  82,
     1 68/ 
c
c      this function returns the CHARACTER meridian which is the ascii value
c      of the single meridian character or the ascii value of the single
c       character equivilant according to the above table
c          Black hills       BH   Y     89
c          Boise             B    B     66
!          Chickasaw         CK   D     68
!          Cimarron          C    C     67
c          Fifth Principle   F    F     70
c          Gila & Salt River G    G     71
c          Humbolt           H    H     72
c          Mt. Diablo        M    M     77
c          Navajo            NA   V     86
c          New Mexico        NM   X     88
c          Principle         P    P     80
c          Salt Lake         SL   Z     90
c          Sixth Principle   SP   A     65
c          San Bernardino    S    S     83
c          Uinta             U    U     85
c          Ute               UT   J     74
c          Willamette        W    W     87
c          Wind River        WR   Q     81

           M=CHAR(J)
        DO 10 I=1,12
          IF (J.EQ.D(I)) THEN
            MERIDCHR=CC(I) 
            GOTO 20
          END IF  
10      CONTINUE          
      MERIDCHR=CHAR(J)
20    CONTINUE
      END      
